#!/bin/sh

#   Apache Ant is used to build this project.
#   You can get latest version of Ant at http://ant.apache.org

#   Define here location of Ant
ANT_HOME="tools/ant"
CLASSPATH="."
OPTS=""
BUILD_FILE="build.xml"

# check Ant existence
if ! [ -x $ANT_HOME/bin/ant ]
then
    echo Ant is not found in $ANT_HOME
    echo Apache Ant is used to build this project.
    echo You can get latest version of Ant at http://ant.apache.org
    exit 1
fi

#   Here script tryes to detect of using non Sun's SDK.
#   In Debian JAVA_HOME for free SDK is set to /usr/lib/fjsdk
#   For free SDK different build file is used, also additional arguments can be passed to Ant
if [ ${JAVA_HOME%fjsdk} == $JAVA_HOME ]
then    #Sun's SDK
    echo "Sun's SDK is used"
else    #free SDK
    echo "Free SDK is used"
    #OPTS="--usejikes"
    BUILD_FILE="build-free.xml"
fi

$ANT_HOME/bin/ant $OPTS -f $BUILD_FILE $*
