/*
 *  JAJI - Just Another Javatris Implementation.
 *  Copyright (C) 2005  Denis Nelubin aka Gelin
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *  http://gelin.ru
 *  mailto:java@gelin.ru
 *
 *  2006-02-05  Gelin   Initially created
 */

package ru.gelin.games.javatris.actions;

/**
 *  Contains all action names as constants.
 */
public interface IActionNames {

    /** Timer action */
    String TIMER_ACTION = "TimerAction";

    /** Move left action */
    String MOVE_LEFT_ACTION = "MoveLeftAction";

    /** Move right action */
    String MOVE_RIGHT_ACTION = "MoveRightAction";

    /** Rotate action */
    String ROTATE_ACTION = "RotateAction";

    /** Drop action */
    String DROP_ACTION = "DropAction";

    /** New game action */
    String NEW_GAME_ACTION = "NewGameAction";

    /** Pause game action */
    String PAUSE_GAME_ACTION = "PauseGameAction";

    /** Game settings action */
    String SETTINGS_ACTION = "SettingsAction";

    /** Top 10 action */
    String TOP10_ACTION = "Top10Action";

    /** About action */
    String ABOUT_ACTION = "AboutAction";

}
