/*
 *  JAJI - Just Another Javatris Implementation.
 *  Copyright (C) 2005  Denis Nelubin aka Gelin
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *  http://gelin.ru
 *  mailto:java@gelin.ru
 *
 *  2006-03-12  Gelin   Initially created.
 *  2006-04-06  Gelin   Switched to use convenience methods
 */

package ru.gelin.games.javatris.actions;

import ru.gelin.games.javatris.game.Javatris;

import javax.swing.KeyStroke;
import java.awt.event.ActionEvent;

/**
 *  This class provides action for new game toolbar button.
 */
public class NewGameAction extends AToolBarAction implements IActionNames {

    private static final KeyStroke[] ACCELERATORS = {
            KeyStroke.getKeyStroke("F2"),   //F2
            KeyStroke.getKeyStroke("ctrl N"),   //Ctrl+N
    };

    /**
     *  Default constructor.
     *  @param  aoGame  game reference
     */
    public NewGameAction(Javatris aoGame) {
        super(NEW_GAME_ACTION);
        setGame(aoGame);
        setAccelerators(ACCELERATORS);
        setText("new_button.text");
        setIcon("new_button.icon");
        setToolTipText("new_button.tooltip");
        setToolBarMode(SHOW_SELECTIVE);
        setShowText(true);
    }

    /**
     *  This method is called then user press new game toolbar button.
     */
    public void actionPerformed(ActionEvent aoEvent) {
        Javatris oGame = getGame();
        oGame.startNewGame();
    }

}