/*
 *  JAJI - Just Another Javatris Implementation.
 *  Copyright (C) 2005  Denis Nelubin aka Gelin
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *  http://gelin.ru
 *  mailto:java@gelin.ru
 *
 *  2006-02-05  Gelin   Initially created.
 *  2006-04-06  Gelin   Switched to use convenience method
 */

package ru.gelin.games.javatris.actions;

import ru.gelin.games.javatris.game.Javatris;

import java.awt.event.ActionEvent;

/**
 *  This class provides {@link java.awt.ActionListener} for timer ticks.
 */
public class TimerAction extends AGameAction implements IActionNames {

    /**
     *  Default constructor. Creates action for specified game.
     *  @param  aoGame  game reference
     */
    public TimerAction(Javatris aoGame) {
        super(TIMER_ACTION);
        setGame(aoGame);
    }

    /**
     *  This method is called for every game's timer tick.
     */
    public void actionPerformed(ActionEvent aoEvent) {
        Javatris oGame = getGame();
        oGame.timerTick();
    }

}