/*
 *  JAJI - Just Another Javatris Implementation.
 *  Copyright (C) 2005  Denis Nelubin aka Gelin
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *  http://gelin.ru
 *  mailto:java@gelin.ru
 *
 *  2006-01-11  Gelin   Initially created.
 */

package ru.gelin.games.javatris.game;

/**
 *  Set of constants representing block types/colors and background colors.
 *  Color indexes are used to get real cell color from {@link Settings}.
 *  Type indexes also are used to block instatiation/identification.
 */
public interface IBlockColors {

    /** minimum color value (for checking) */
    int MIN_COLOR = 0;

    /** empty cell block type */
    int BLOCK_EMPTY = 0;

    /** background color 1 */
    int BG_COLOR_1 = 0;

    /** background color 2 */
    int BG_COLOR_2 = 1;

    /** minimum value of block type (for checking) */
    int MIN_BLOCK_TYPE = 2;

    /** I-block type value */
    int BLOCK_I = 2;

    /** L-block type value */
    int BLOCK_L = 3;

    /** iL-block type value */
    int BLOCK_IL = 4;

    /** T-block type value */
    int BLOCK_T = 5;

    /** Z-block type value */
    int BLOCK_Z = 6;

    /** S-block type value */
    int BLOCK_S = 7;

    /** S-block type value */
    int BLOCK_SQ = 8;

    /** maximum value of block type (for checking) */
    int MAX_BLOCK_TYPE = 8;

    /** maximum color value (for checking) */
    int MAX_COLOR = 8;

}
