/*
 *  JAJI - Just Another Javatris Implementation.
 *  Copyright (C) 2005  Denis Nelubin aka Gelin
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *  http://gelin.ru
 *  mailto:java@gelin.ru
 *
 *  2006-01-10  Gelin   Initially created.
 */

package ru.gelin.games.javatris.game;

/**
 *  Set of constants representing game level for new game.
 *  Level names are got from Tetris in Dos Navigator.
 */
public interface IGameLevels {

    /** minimum level value (for checking) */
    int MIN_LEVEL = 1;

    /** first level "Baby" */
    int LEVEL_ONE = 1;

    /** second level "Little fella" */
    int LEVEL_TWO = 2;

    /** third level "Big child" */
    int LEVEL_THREE = 3;

    /** fourth level "It's easy" */
    int LEVEL_FOUR = 4;

    /** fifth level "Never mind" */
    int LEVEL_FIVE = 5;

    /** sixth level "I'm powerful !" */
    int LEVEL_SIX = 6;

    /** seventh level "Insanity coming" */
    int LEVEL_SEVEN = 7;

    /** eighth level "So what ?.." */
    int LEVEL_EIGHT = 8;

    /** nineth level "Madness" */
    int LEVEL_NINE = 9;

    /** tenth level "Sanitarium" */
    int LEVEL_TEN = 10;

    /** maximum level value (for checking) */
    int MAX_LEVEL = 10;

}
