/*
 *  JAJI - Just Another Javatris Implementation.
 *  Copyright (C) 2005  Denis Nelubin aka Gelin
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *  http://gelin.ru
 *  mailto:java@gelin.ru
 *
 *  2006-01-15  Gelin   Initially created.
 */

package ru.gelin.games.javatris.ui;

/**
 *  Interface for label model. Provides text and alignment of label (not icon now).
 *  @see    ModeledLabel
 */
public interface ILabelModel {

    /**
     *  Returns label text.
     *  @return text which must be displayed by label
     */
    public String getText();

    /**
     *  Returns alignment of label text.
     *  @return alignment constant
     *  @see    javax.swing.SwingConstants
     */
    public int getHorizontalAlignment();

    /**
     *  Adds listener of changes in this model.
     *  @param  aoListener  new listener to add
     */
    public void addLabelListener(ILabelListener aoListener);

    /**
     *  Removes listener of changes in this model.
     *  @param  aoListener  listener to be removed
     */
    public void removeLabelListener(ILabelListener aoListener);

}