/*
 *  JAJI - Just Another Javatris Implementation.
 *  Copyright (C) 2005  Denis Nelubin aka Gelin
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *  http://gelin.ru
 *  mailto:java@gelin.ru
 *
 *  2006-04-22  Gelin   Initially created
 */

package ru.gelin.games.javatris.ui;

import ru.gelin.games.javatris.util.Messages;

import javax.swing.JOptionPane;
import javax.swing.JDialog;
import javax.swing.JButton;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

/**
 *  Dialog for request player's name for new record.
 */
public class NewRecordDialog {

    /** messages instance */
    private Messages moMsg = Messages.getInstance();

    /** general OK button */
    private String msPlayer;

    /**
     *  Constructs dialog.
     *  @param  asPlayer initial player name to display
     */
    public NewRecordDialog(String asPlayer) {
        msPlayer = asPlayer;
    }

    /**
     *  Shows dialog. Returns entered player's name.
     *  @return entered player's name
     */
    public String show() {
        /*
        return (String)JOptionPane.showInputDialog(
                null,   //over unknown frame
                moMsg.get("new_record_dialog.message"),
                moMsg.get("new_record_dialog.title"),
                JOptionPane.QUESTION_MESSAGE,
                null,   //moImg.get("new_record_dialog.icon"),
                null,   //user must enter the text
                msPlayer
        );
        */
        JButton oOkButton = new JButton(moMsg.get("ok_button.text"));
        JOptionPane pane = new JOptionPane(
                moMsg.get("new_record_dialog.message"),
                JOptionPane.QUESTION_MESSAGE,
                JOptionPane.OK_OPTION,
                null, //moImg.get("new_record_dialog.icon"),
                new Object[] { oOkButton }  //no OK/Cancel button - one OK button only
        );
        pane.setWantsInput(true);
        pane.setInitialSelectionValue(msPlayer);
        final JDialog dialog = pane.createDialog(null, moMsg.get("new_record_dialog.title"));
        dialog.getRootPane().setDefaultButton(oOkButton);
        pane.selectInitialValue();
        oOkButton.addActionListener(new ActionListener() {
                public void actionPerformed(ActionEvent e) {
                    dialog.dispose();
                }
            } );
        dialog.show();
        dialog.dispose();
        Object oValue = pane.getInputValue();
        if (oValue != JOptionPane.UNINITIALIZED_VALUE && oValue instanceof String) {
            return (String)oValue;
        }
        return msPlayer;
    }

}
